Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8564)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8565)
@@ -60,5 +60,5 @@
       !
       INTEGER  ::   ji, jj, jl, jcat     ! dummy loop index
-      INTEGER  ::   nidx2                ! local integer
+      INTEGER  ::   ipti                 ! local integer
       REAL(wp) ::   zx1, zwk1, zdh0, zetamin, zdamax   ! local scalars
       REAL(wp) ::   zx2, zwk2, zda0, zetamax           !   -      -
@@ -66,5 +66,5 @@
       REAL(wp) ::   zslope          ! used to compute local thermodynamic "speeds"
 
-      INTEGER , DIMENSION(jpij)       ::   idxice2         ! compute remapping or not
+      INTEGER , DIMENSION(jpij)       ::   iptidx          ! compute remapping or not
       INTEGER , DIMENSION(jpij,jpl-1) ::   jdonor          ! donor category index
       REAL(wp), DIMENSION(jpij,jpl)   ::   zdhice          ! ice thickness increment
@@ -83,10 +83,10 @@
       !  1) Identify grid cells with ice
       !-----------------------------------------------------------------------------------------------
-      nidx = 0   ;   idxice(:) = 0
+      npti = 0   ;   nptidx(:) = 0
       DO jj = 1, jpj
          DO ji = 1, jpi
             IF ( at_i(ji,jj) > epsi10 ) THEN
-               nidx         = nidx + 1
-               idxice( nidx ) = (jj - 1) * jpi + ji
+               npti         = npti + 1
+               nptidx( npti ) = (jj - 1) * jpi + ji
             ENDIF
          END DO
@@ -96,17 +96,17 @@
       !  2) Compute new category boundaries
       !-----------------------------------------------------------------------------------------------
-      IF( nidx > 0 ) THEN
+      IF( npti > 0 ) THEN
 
          zdhice(:,:) = 0._wp
          zhbnew(:,:) = 0._wp
 
-         CALL tab_3d_2d( nidx, idxice(1:nidx), h_i_2d (1:nidx,1:jpl), h_i   )
-         CALL tab_3d_2d( nidx, idxice(1:nidx), h_ib_2d(1:nidx,1:jpl), h_i_b )
-         CALL tab_3d_2d( nidx, idxice(1:nidx), a_i_2d  (1:nidx,1:jpl), a_i    )
-         CALL tab_3d_2d( nidx, idxice(1:nidx), a_ib_2d (1:nidx,1:jpl), a_i_b  )
+         CALL tab_3d_2d( npti, nptidx(1:npti), h_i_2d (1:npti,1:jpl), h_i   )
+         CALL tab_3d_2d( npti, nptidx(1:npti), h_ib_2d(1:npti,1:jpl), h_i_b )
+         CALL tab_3d_2d( npti, nptidx(1:npti), a_i_2d  (1:npti,1:jpl), a_i    )
+         CALL tab_3d_2d( npti, nptidx(1:npti), a_ib_2d (1:npti,1:jpl), a_i_b  )
 
          DO jl = 1, jpl
             ! Compute thickness change in each ice category
-            DO ji = 1, nidx
+            DO ji = 1, npti
                zdhice(ji,jl) = h_i_2d(ji,jl) - h_ib_2d(ji,jl)
             END DO
@@ -116,5 +116,5 @@
          DO jl = 1, jpl - 1
             !
-            DO ji = 1, nidx
+            DO ji = 1, npti
                !
                ! --- New boundary: Hn* = Hn + Fn*dt --- !
@@ -136,10 +136,10 @@
                !    Note: hn(t+1) must not be too close to either HR or HL otherwise a division by nearly 0 is possible 
                !          in ice_itd_glinear in the case (HR-HL) = 3(Hice - HL) or = 3(HR - Hice)
-               IF( a_i_2d(ji,jl  ) > epsi10 .AND. h_i_2d(ji,jl  ) > ( zhbnew(ji,jl) - epsi10 ) )   idxice(ji) = 0
-               IF( a_i_2d(ji,jl+1) > epsi10 .AND. h_i_2d(ji,jl+1) < ( zhbnew(ji,jl) + epsi10 ) )   idxice(ji) = 0
+               IF( a_i_2d(ji,jl  ) > epsi10 .AND. h_i_2d(ji,jl  ) > ( zhbnew(ji,jl) - epsi10 ) )   nptidx(ji) = 0
+               IF( a_i_2d(ji,jl+1) > epsi10 .AND. h_i_2d(ji,jl+1) < ( zhbnew(ji,jl) + epsi10 ) )   nptidx(ji) = 0
                
                ! 2) Hn-1 < Hn* < Hn+1  
-               IF( zhbnew(ji,jl) < hi_max(jl-1) )   idxice(ji) = 0
-               IF( zhbnew(ji,jl) > hi_max(jl+1) )   idxice(ji) = 0
+               IF( zhbnew(ji,jl) < hi_max(jl-1) )   nptidx(ji) = 0
+               IF( zhbnew(ji,jl) > hi_max(jl+1) )   nptidx(ji) = 0
                
             END DO
@@ -147,5 +147,5 @@
          !
          ! --- New boundaries for category jpl --- !
-         DO ji = 1, nidx
+         DO ji = 1, npti
             IF( a_i_2d(ji,jpl) > epsi10 ) THEN
                zhbnew(ji,jpl) = MAX( hi_max(jpl-1), 3._wp * h_i_2d(ji,jpl) - 2._wp * zhbnew(ji,jpl-1) )
@@ -158,6 +158,6 @@
             !    h1(t) must not be too close to either HR or HL otherwise a division by nearly 0 is possible 
             !    in ice_itd_glinear in the case (HR-HL) = 3(Hice - HL) or = 3(HR - Hice)
-            IF( h_ib_2d(ji,1) < ( hi_max(0) + epsi10 ) )   idxice(ji) = 0
-            IF( h_ib_2d(ji,1) > ( hi_max(1) - epsi10 ) )   idxice(ji) = 0
+            IF( h_ib_2d(ji,1) < ( hi_max(0) + epsi10 ) )   nptidx(ji) = 0
+            IF( h_ib_2d(ji,1) > ( hi_max(1) - epsi10 ) )   nptidx(ji) = 0
          END DO
          !
@@ -165,14 +165,14 @@
          !  3) Identify cells where remapping
          !-----------------------------------------------------------------------------------------------
-         nidx2 = 0 ; idxice2(:) = 0
-         DO ji = 1, nidx
-            IF( idxice(ji) /= 0 ) THEN
-               nidx2 = nidx2 + 1
-               idxice2(nidx2) = idxice(ji)
-               zhbnew(nidx2,:) = zhbnew(ji,:)  ! adjust zhbnew to new indices
+         ipti = 0 ; iptidx(:) = 0
+         DO ji = 1, npti
+            IF( nptidx(ji) /= 0 ) THEN
+               ipti = ipti + 1
+               iptidx(ipti)   = nptidx(ji)
+               zhbnew(ipti,:) = zhbnew(ji,:)  ! adjust zhbnew to new indices
             ENDIF
          END DO
-         idxice(:) = idxice2(:)
-         nidx      = nidx2
+         nptidx(:) = iptidx(:)
+         npti      = ipti
          !
       ENDIF
@@ -181,5 +181,5 @@
       !  4) Compute g(h) 
       !-----------------------------------------------------------------------------------------------
-      IF( nidx > 0 ) THEN
+      IF( npti > 0 ) THEN
          !
          zhb0(:) = hi_max(0)   ;   zhb1(:) = hi_max(1)
@@ -189,17 +189,17 @@
          DO jl = 1, jpl
             !
-            CALL tab_2d_1d( nidx, idxice(1:nidx), h_ib_1d(1:nidx), h_i_b(:,:,jl) )
-            CALL tab_2d_1d( nidx, idxice(1:nidx), h_i_1d (1:nidx), h_i(:,:,jl)   )
-            CALL tab_2d_1d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,jl)    )
-            CALL tab_2d_1d( nidx, idxice(1:nidx), v_i_1d  (1:nidx), v_i(:,:,jl)    )
+            CALL tab_2d_1d( npti, nptidx(1:npti), h_ib_1d(1:npti), h_i_b(:,:,jl) )
+            CALL tab_2d_1d( npti, nptidx(1:npti), h_i_1d (1:npti), h_i(:,:,jl)   )
+            CALL tab_2d_1d( npti, nptidx(1:npti), a_i_1d  (1:npti), a_i(:,:,jl)    )
+            CALL tab_2d_1d( npti, nptidx(1:npti), v_i_1d  (1:npti), v_i(:,:,jl)    )
             !
             IF( jl == 1 ) THEN
                !  
                ! --- g(h) for category 1 --- !
-               CALL ice_itd_glinear( zhb0(1:nidx)  , zhb1(1:nidx)  , h_ib_1d(1:nidx)  , a_i_1d(1:nidx)  ,  &   ! in
-                  &                  g0  (1:nidx,1), g1  (1:nidx,1), hL      (1:nidx,1), hR    (1:nidx,1)   )   ! out
+               CALL ice_itd_glinear( zhb0(1:npti)  , zhb1(1:npti)  , h_ib_1d(1:npti)  , a_i_1d(1:npti)  ,  &   ! in
+                  &                  g0  (1:npti,1), g1  (1:npti,1), hL      (1:npti,1), hR    (1:npti,1)   )   ! out
                   !
                ! Area lost due to melting of thin ice
-               DO ji = 1, nidx
+               DO ji = 1, npti
                   !
                   IF( a_i_1d(ji) > epsi10 ) THEN
@@ -233,13 +233,13 @@
                END DO
                !
-               CALL tab_1d_2d( nidx, idxice(1:nidx), h_i_1d (1:nidx), h_i(:,:,jl)   )
-               CALL tab_1d_2d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,jl)    )
-               CALL tab_1d_2d( nidx, idxice(1:nidx), v_i_1d  (1:nidx), v_i(:,:,jl)    )
+               CALL tab_1d_2d( npti, nptidx(1:npti), h_i_1d (1:npti), h_i(:,:,jl)   )
+               CALL tab_1d_2d( npti, nptidx(1:npti), a_i_1d  (1:npti), a_i(:,:,jl)    )
+               CALL tab_1d_2d( npti, nptidx(1:npti), v_i_1d  (1:npti), v_i(:,:,jl)    )
                !
             ENDIF ! jl=1
             !
             ! --- g(h) for each thickness category --- !  
-            CALL ice_itd_glinear( zhbnew(1:nidx,jl-1), zhbnew(1:nidx,jl), h_i_1d(1:nidx)   , a_i_1d(1:nidx)   ,  &   ! in
-               &                  g0    (1:nidx,jl  ), g1    (1:nidx,jl), hL     (1:nidx,jl), hR    (1:nidx,jl)   )   ! out
+            CALL ice_itd_glinear( zhbnew(1:npti,jl-1), zhbnew(1:npti,jl), h_i_1d(1:npti)   , a_i_1d(1:npti)   ,  &   ! in
+               &                  g0    (1:npti,jl  ), g1    (1:npti,jl), hL     (1:npti,jl), hR    (1:npti,jl)   )   ! out
             !
          END DO
@@ -250,5 +250,5 @@
          DO jl = 1, jpl - 1
             !
-            DO ji = 1, nidx
+            DO ji = 1, npti
                !
                ! left and right integration limits in eta space
@@ -281,14 +281,14 @@
          ! 6) Shift ice between categories
          !----------------------------------------------------------------------------------------------
-         CALL ice_itd_shiftice ( jdonor(1:nidx,:), zdaice(1:nidx,:), zdvice(1:nidx,:) )
+         CALL ice_itd_shiftice ( jdonor(1:npti,:), zdaice(1:npti,:), zdvice(1:npti,:) )
          
          !----------------------------------------------------------------------------------------------
          ! 7) Make sure h_i >= minimum ice thickness hi_min
          !----------------------------------------------------------------------------------------------
-         CALL tab_2d_1d( nidx, idxice(1:nidx), h_i_1d (1:nidx), h_i(:,:,1)   )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,1)    )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), a_ip_1d (1:nidx), a_ip(:,:,1)   )
+         CALL tab_2d_1d( npti, nptidx(1:npti), h_i_1d (1:npti), h_i(:,:,1)   )
+         CALL tab_2d_1d( npti, nptidx(1:npti), a_i_1d  (1:npti), a_i(:,:,1)    )
+         CALL tab_2d_1d( npti, nptidx(1:npti), a_ip_1d (1:npti), a_ip(:,:,1)   )
          
-         DO ji = 1, nidx
+         DO ji = 1, npti
             IF ( a_i_1d(ji) > epsi10 .AND. h_i_1d(ji) < rn_himin ) THEN
                a_i_1d (ji) = a_i_1d(ji) * h_i_1d(ji) / rn_himin 
@@ -302,7 +302,7 @@
          END DO
          !
-         CALL tab_1d_2d( nidx, idxice(1:nidx), h_i_1d (1:nidx), h_i(:,:,1)   )
-         CALL tab_1d_2d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,1)    )
-         CALL tab_1d_2d( nidx, idxice(1:nidx), a_ip_1d (1:nidx), a_ip(:,:,1)   )
+         CALL tab_1d_2d( npti, nptidx(1:npti), h_i_1d (1:npti), h_i(:,:,1)   )
+         CALL tab_1d_2d( npti, nptidx(1:npti), a_i_1d  (1:npti), a_i(:,:,1)    )
+         CALL tab_1d_2d( npti, nptidx(1:npti), a_ip_1d (1:npti), a_ip(:,:,1)   )
          !
       ENDIF
@@ -338,5 +338,5 @@
       z2_3 = 2._wp / 3._wp
       !
-      DO ji = 1, nidx
+      DO ji = 1, npti
          !
          IF( paice(ji) > epsi10  .AND. phice(ji) > 0._wp )  THEN
@@ -392,13 +392,13 @@
       !!------------------------------------------------------------------
          
-      CALL tab_3d_2d( nidx, idxice(1:nidx), h_i_2d (1:nidx,1:jpl), h_i  )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), a_i_2d (1:nidx,1:jpl), a_i  )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), v_i_2d (1:nidx,1:jpl), v_i  )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), v_s_2d (1:nidx,1:jpl), v_s  )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), oa_i_2d(1:nidx,1:jpl), oa_i )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), sv_i_2d(1:nidx,1:jpl), sv_i )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), a_ip_2d(1:nidx,1:jpl), a_ip )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), v_ip_2d(1:nidx,1:jpl), v_ip )
-      CALL tab_3d_2d( nidx, idxice(1:nidx), t_su_2d(1:nidx,1:jpl), t_su )
+      CALL tab_3d_2d( npti, nptidx(1:npti), h_i_2d (1:npti,1:jpl), h_i  )
+      CALL tab_3d_2d( npti, nptidx(1:npti), a_i_2d (1:npti,1:jpl), a_i  )
+      CALL tab_3d_2d( npti, nptidx(1:npti), v_i_2d (1:npti,1:jpl), v_i  )
+      CALL tab_3d_2d( npti, nptidx(1:npti), v_s_2d (1:npti,1:jpl), v_s  )
+      CALL tab_3d_2d( npti, nptidx(1:npti), oa_i_2d(1:npti,1:jpl), oa_i )
+      CALL tab_3d_2d( npti, nptidx(1:npti), sv_i_2d(1:npti,1:jpl), sv_i )
+      CALL tab_3d_2d( npti, nptidx(1:npti), a_ip_2d(1:npti,1:jpl), a_ip )
+      CALL tab_3d_2d( npti, nptidx(1:npti), v_ip_2d(1:npti,1:jpl), v_ip )
+      CALL tab_3d_2d( npti, nptidx(1:npti), t_su_2d(1:npti,1:jpl), t_su )
 
       !----------------------------------------------------------------------------------------------
@@ -406,5 +406,5 @@
       !----------------------------------------------------------------------------------------------
       DO jl = 1, jpl
-         DO ji = 1, nidx
+         DO ji = 1, npti
             zaTsfn(ji,jl) = a_i_2d(ji,jl) * t_su_2d(ji,jl)
          END DO
@@ -415,5 +415,5 @@
       !-------------------------------------------------------------------------------
       DO jl = 1, jpl - 1
-         DO ji = 1, nidx
+         DO ji = 1, npti
             !
             jl1 = kdonor(ji,jl)
@@ -475,7 +475,7 @@
          DO jk = 1, nlay_s         !--- Snow heat content
             !
-            DO ji = 1, nidx
-               ii = MOD( idxice(ji) - 1, jpi ) + 1
-               ij = ( idxice(ji) - 1 ) / jpi + 1
+            DO ji = 1, npti
+               ii = MOD( nptidx(ji) - 1, jpi ) + 1
+               ij = ( nptidx(ji) - 1 ) / jpi + 1
                !
                jl1 = kdonor(ji,jl)
@@ -494,7 +494,7 @@
 
          DO jk = 1, nlay_i         !--- Ice heat content
-            DO ji = 1, nidx
-               ii = MOD( idxice(ji) - 1, jpi ) + 1
-               ij = ( idxice(ji) - 1 ) / jpi + 1
+            DO ji = 1, npti
+               ii = MOD( nptidx(ji) - 1, jpi ) + 1
+               ij = ( nptidx(ji) - 1 ) / jpi + 1
                !
                jl1 = kdonor(ji,jl)
@@ -517,21 +517,21 @@
       ! 3) Update ice thickness and temperature
       !-------------------------------------------------------------------------------
-      WHERE( a_i_2d(1:nidx,:) >= epsi20 )
-         h_i_2d(1:nidx,:)  =  v_i_2d(1:nidx,:) / a_i_2d(1:nidx,:) 
-         t_su_2d(1:nidx,:)  =  zaTsfn(1:nidx,:) / a_i_2d(1:nidx,:) 
+      WHERE( a_i_2d(1:npti,:) >= epsi20 )
+         h_i_2d(1:npti,:)  =  v_i_2d(1:npti,:) / a_i_2d(1:npti,:) 
+         t_su_2d(1:npti,:)  =  zaTsfn(1:npti,:) / a_i_2d(1:npti,:) 
       ELSEWHERE
-         h_i_2d(1:nidx,:)  = 0._wp
-         t_su_2d(1:nidx,:)  = rt0
+         h_i_2d(1:npti,:)  = 0._wp
+         t_su_2d(1:npti,:)  = rt0
       END WHERE
       !
-      CALL tab_2d_3d( nidx, idxice(1:nidx), h_i_2d (1:nidx,1:jpl), h_i  )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), a_i_2d (1:nidx,1:jpl), a_i  )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), v_i_2d (1:nidx,1:jpl), v_i  )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), v_s_2d (1:nidx,1:jpl), v_s  )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), oa_i_2d(1:nidx,1:jpl), oa_i )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), sv_i_2d(1:nidx,1:jpl), sv_i )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), a_ip_2d(1:nidx,1:jpl), a_ip )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), v_ip_2d(1:nidx,1:jpl), v_ip )
-      CALL tab_2d_3d( nidx, idxice(1:nidx), t_su_2d(1:nidx,1:jpl), t_su )
+      CALL tab_2d_3d( npti, nptidx(1:npti), h_i_2d (1:npti,1:jpl), h_i  )
+      CALL tab_2d_3d( npti, nptidx(1:npti), a_i_2d (1:npti,1:jpl), a_i  )
+      CALL tab_2d_3d( npti, nptidx(1:npti), v_i_2d (1:npti,1:jpl), v_i  )
+      CALL tab_2d_3d( npti, nptidx(1:npti), v_s_2d (1:npti,1:jpl), v_s  )
+      CALL tab_2d_3d( npti, nptidx(1:npti), oa_i_2d(1:npti,1:jpl), oa_i )
+      CALL tab_2d_3d( npti, nptidx(1:npti), sv_i_2d(1:npti,1:jpl), sv_i )
+      CALL tab_2d_3d( npti, nptidx(1:npti), a_ip_2d(1:npti,1:jpl), a_ip )
+      CALL tab_2d_3d( npti, nptidx(1:npti), v_ip_2d(1:npti,1:jpl), v_ip )
+      CALL tab_2d_3d( npti, nptidx(1:npti), t_su_2d(1:npti,1:jpl), t_su )
       !
    END SUBROUTINE ice_itd_shiftice
@@ -564,19 +564,19 @@
       DO jl = 1, jpl-1        ! identify thicknesses that are too big
          !                    !---------------------------------------
-         nidx = 0   ;   idxice(:) = 0
+         npti = 0   ;   nptidx(:) = 0
          DO jj = 1, jpj
             DO ji = 1, jpi
                IF( a_i(ji,jj,jl) > epsi10 .AND. v_i(ji,jj,jl) > (a_i(ji,jj,jl) * hi_max(jl)) ) THEN
-                  nidx = nidx + 1
-                  idxice( nidx ) = (jj - 1) * jpi + ji                  
+                  npti = npti + 1
+                  nptidx( npti ) = (jj - 1) * jpi + ji                  
                ENDIF
             END DO
          END DO
          !
-!!clem   CALL tab_2d_1d( nidx, idxice(1:nidx), h_i_1d (1:nidx), h_i(:,:,jl)   )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,jl)    )
-         CALL tab_2d_1d( nidx, idxice(1:nidx), v_i_1d  (1:nidx), v_i(:,:,jl)    )
-         !
-         DO ji = 1, nidx
+!!clem   CALL tab_2d_1d( npti, nptidx(1:npti), h_i_1d (1:npti), h_i(:,:,jl)   )
+         CALL tab_2d_1d( npti, nptidx(1:npti), a_i_1d  (1:npti), a_i(:,:,jl)    )
+         CALL tab_2d_1d( npti, nptidx(1:npti), v_i_1d  (1:npti), v_i(:,:,jl)    )
+         !
+         DO ji = 1, npti
             jdonor(ji,jl)  = jl 
             ! how much of a_i you send in cat sup is somewhat arbitrary
@@ -592,10 +592,10 @@
          END DO
          !
-         IF( nidx > 0 ) THEN
-            CALL ice_itd_shiftice( jdonor(1:nidx,:), zdaice(1:nidx,:), zdvice(1:nidx,:) )  ! Shift jl=>jl+1
+         IF( npti > 0 ) THEN
+            CALL ice_itd_shiftice( jdonor(1:npti,:), zdaice(1:npti,:), zdvice(1:npti,:) )  ! Shift jl=>jl+1
             ! Reset shift parameters
-            jdonor(1:nidx,jl) = 0
-            zdaice(1:nidx,jl) = 0._wp
-            zdvice(1:nidx,jl) = 0._wp
+            jdonor(1:npti,jl) = 0
+            zdaice(1:npti,jl) = 0._wp
+            zdvice(1:npti,jl) = 0._wp
          ENDIF
          !
@@ -605,17 +605,17 @@
       DO jl = jpl-1, 1, -1    ! Identify thicknesses that are too small
          !                    !-----------------------------------------
-         nidx = 0 ; idxice(:) = 0
+         npti = 0 ; nptidx(:) = 0
          DO jj = 1, jpj
             DO ji = 1, jpi
                IF( a_i(ji,jj,jl+1) > epsi10 .AND. v_i(ji,jj,jl+1) <= (a_i(ji,jj,jl+1) * hi_max(jl)) ) THEN
-                  nidx = nidx + 1
-                  idxice( nidx ) = (jj - 1) * jpi + ji                  
+                  npti = npti + 1
+                  nptidx( npti ) = (jj - 1) * jpi + ji                  
                ENDIF
             END DO
          END DO
          !
-         CALL tab_2d_1d( nidx, idxice(1:nidx), a_i_1d  (1:nidx), a_i(:,:,jl+1)    ) ! jl+1 is ok
-         CALL tab_2d_1d( nidx, idxice(1:nidx), v_i_1d  (1:nidx), v_i(:,:,jl+1)    ) ! jl+1 is ok
-         DO ji = 1, nidx
+         CALL tab_2d_1d( npti, nptidx(1:npti), a_i_1d  (1:npti), a_i(:,:,jl+1)    ) ! jl+1 is ok
+         CALL tab_2d_1d( npti, nptidx(1:npti), v_i_1d  (1:npti), v_i(:,:,jl+1)    ) ! jl+1 is ok
+         DO ji = 1, npti
             jdonor(ji,jl) = jl + 1
             zdaice(ji,jl) = a_i_1d(ji) 
@@ -623,10 +623,10 @@
          END DO
          !
-         IF( nidx > 0 ) THEN
-            CALL ice_itd_shiftice( jdonor(1:nidx,:), zdaice(1:nidx,:), zdvice(1:nidx,:) )  ! Shift jl+1=>jl
+         IF( npti > 0 ) THEN
+            CALL ice_itd_shiftice( jdonor(1:npti,:), zdaice(1:npti,:), zdvice(1:npti,:) )  ! Shift jl+1=>jl
             ! Reset shift parameters
-            jdonor(1:nidx,jl) = 0
-            zdaice(1:nidx,jl) = 0._wp
-            zdvice(1:nidx,jl) = 0._wp
+            jdonor(1:npti,jl) = 0
+            zdaice(1:npti,jl) = 0._wp
+            zdvice(1:npti,jl) = 0._wp
          ENDIF
          !
